#!/bin/bash
set -x

SCRATCH_DIR="/home/fascam/.config/Fastec/scratch"

/usr/bin/logger "Post-update script executing"

# Check to see if we need to update any of the .config files.
if [ -e $SCRATCH_DIR/fi_update/need_config_update ]; then
    # What was the fi_system package version when we started the update?
    FI_SYS_VER=`/usr/bin/cat $SCRATCH_DIR/fi_update/need_config_update`
    /usr/bin/logger "Need to update .config files. FI_SYS_VER=$FI_SYS_VER"

    # 3.2.19 changes: White balance files got moved to the calibration folder.
    if [ ! -e $SCRATCH_DIR/../calibration/AL5C_wb.txt ]; then
	/usr/bin/logger "Copy white balance files to calibration."
	/usr/bin/cp /etc/skel/.config/Fastec/calibration/AL5C_wb.txt $SCRATCH_DIR/../calibration/.
	/usr/bin/cp /etc/skel/.config/Fastec/calibration/X9HC_wb.txt $SCRATCH_DIR/../calibration/.
    fi
fi

# Cleanup after ourselves
/usr/bin/rm -f /tmp/pp_u*
/usr/bin/rm -rf $SCRATCH_DIR/fi_update

/usr/bin/logger "Post-update script finished"
